JSON.LocalDateTypeAdapter (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.client

## Class JSON.LocalDateTypeAdapter

- java.lang.Object
- - com.google.gson.TypeAdapter<LocalDate>
  - - com.cloudera.api.swagger.client.JSON.LocalDateTypeAdapter

- Enclosing class:
    JSON

      public class JSON.LocalDateTypeAdapter
      extends com.google.gson.TypeAdapter<LocalDate>

  Gson TypeAdapter for JSR310 LocalDate type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalDateTypeAdapter()`
    `LocalDateTypeAdapter(DateTimeFormatter formatter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDate` | `read(com.google.gson.stream.JsonReader in)`
    `void` | `setFormat(DateTimeFormatter dateFormat)`
    `void` | `write(com.google.gson.stream.JsonWriter out, LocalDate date)`

    - ### Methods inherited from class com.google.gson.TypeAdapter

      `fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalDateTypeAdapter

          public LocalDateTypeAdapter()

    - #### LocalDateTypeAdapter

          public LocalDateTypeAdapter(DateTimeFormatter formatter)

  - ### Method Detail

    - #### setFormat

          public void setFormat(DateTimeFormatter dateFormat)

    - #### write

          public void write(com.google.gson.stream.JsonWriter out,
                            LocalDate date)
                     throws IOException

      Specified by:
        `write` in class `com.google.gson.TypeAdapter<LocalDate>`
      Throws:
        `IOException`

    - #### read

          public LocalDate read(com.google.gson.stream.JsonReader in)
                         throws IOException

      Specified by:
        `read` in class `com.google.gson.TypeAdapter<LocalDate>`
      Throws:
        `IOException`

Copyright © 2026. All rights reserved.